/vaults/{slug}/pending-redemptions-history
Get Vault pending redemptions history by slug with separate filters for requestedAt and expiresAt
Get Vault pending redemptions history by slug with separate filters for requestedAt and expiresAt
Path Parameters
Unique slug identifier for the vault.
1 <= lengthQuery Parameters
Start date for requestedAt filter (Unix timestamp in seconds)
End date for requestedAt filter (Unix timestamp in seconds)
Start date for expiresAt filter (Unix timestamp in seconds)
End date for expiresAt filter (Unix timestamp in seconds)
Optional atomic queue address filter.
^0x[a-fA-F0-9]+$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/pending-redemptions-history"{ "data": { "vaultAddress": "string", "pendingRedemptions": [ { "requestTransactionHash": "string", "user": "string", "chainId": 0, "amount": 0, "requestedAt": 0, "expiresAt": 0, "queueAddress": "string", "wantTokenContractAddress": "string", "minPrice": 0, "isValid": true } ] }}/vaults/{slug}/pending-redemptions GET
Get Vault pending redemptions by slug
/vaults/{slug}/performance-history GET
Get vault performance history by slug for the given date range. Includes vault price/TVL/liquid funds/APY and optional per-yield-asset metrics. Vault price and NAV APY are derived from the preferred chain (Plume if configured, otherwise the first configured chain).